// $Id: old_union2.idl 79418 2007-08-20 15:58:51Z parsons $

// ============================================================================
//
// = LIBRARY
//    TAO/tests/IDL_Test
//
// = FILENAME
//    old_union2.idl
//
// = DESCRIPTION
//    Further tests of union IDL constructs
//
// = AUTHORS
//    Andy Gokhale <gokhale@dre.vanderbilt.edu>
//
// ============================================================================

module OldUnion2
{
  enum FooDisc
  {
    FOO1,
    FOO2
  };

  union Foo switch (FooDisc)
  {
    case FOO1: long x;
    case FOO2: string y;
  };

  struct Bar
  {
    enum BarDisc
    {
      BAR1,
      BAR2
    } kind;

    union Foo switch (BarDisc)
    {
      case BAR1: long x;
      case BAR2: long y;
    } addr;
  };
};
